###################################################
### chunk number 1: 
###################################################
#line 39 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
library(TRAMPR)


###################################################
### chunk number 2: 
###################################################
#line 69 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
files <- c("demo_samples_abi.txt",
           "demo_samples_abi_template_full.csv",
           "demo_samples_abi_info_full.csv",
           "demo_samples_abi_soilcore.csv")
file.copy(system.file(files, package="TRAMPR"), ".")


###################################################
### chunk number 3: 
###################################################
#line 86 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
load.abi.create.template("demo_samples_abi.txt")


###################################################
### chunk number 4: 
###################################################
#line 101 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
file.rename("demo_samples_abi_template_full.csv",
            "demo_samples_abi_template.csv")


###################################################
### chunk number 5: 
###################################################
#line 114 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
load.abi.create.info("demo_samples_abi.txt")


###################################################
### chunk number 6: 
###################################################
#line 121 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
file.rename("demo_samples_abi_info_full.csv",
            "demo_samples_abi_info.csv")


###################################################
### chunk number 7: 
###################################################
#line 132 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
soilcore <- read.csv("demo_samples_abi_soilcore.csv")


###################################################
### chunk number 8: 
###################################################
#line 143 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
primer.translate <- list(ITS1F="B", ITS4=c("G", "Y"))


###################################################
### chunk number 9: 
###################################################
#line 153 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
demo.samples <- load.abi("demo_samples_abi.txt",
                         primer.translate=primer.translate,
                         soilcore=soilcore)


###################################################
### chunk number 10: 
###################################################
#line 166 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
data(demo.knowns)


###################################################
### chunk number 11:  eval=FALSE
###################################################
## #line 182 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
## plot(demo.knowns)


###################################################
### chunk number 12: 
###################################################
#line 188 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
plot(demo.knowns)


###################################################
### chunk number 13: 
###################################################
#line 208 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
fit <- TRAMP(demo.samples, demo.knowns)


###################################################
### chunk number 14:  eval=FALSE
###################################################
## #line 215 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
## plot(fit, 565)


###################################################
### chunk number 15: 
###################################################
#line 221 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
plot(fit, 565)


###################################################
### chunk number 16:  eval=FALSE
###################################################
## #line 236 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
## pdf("TRAMP_fits.pdf")
## plot(fit)
## dev.off()


###################################################
### chunk number 17: 
###################################################
#line 245 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
m <- summary(fit)
m[1:5, 1:5]


###################################################
### chunk number 18: 
###################################################
#line 255 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
knowns.unk <- build.knowns(demo.samples)


###################################################
### chunk number 19:  eval=FALSE
###################################################
## #line 267 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
## knowns.sporocarps <- build.knowns(demo.samples, restrict=TRUE,
##                                   min.ratio=0)


###################################################
### chunk number 20: 
###################################################
#line 276 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
fit <- combine(fit, knowns.unk)


###################################################
### chunk number 21: 
###################################################
#line 282 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
demo.knowns <- combine(demo.knowns, knowns.unk)


###################################################
### chunk number 22: 
###################################################
#line 290 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
identical(demo.knowns, fit$knowns)


###################################################
### chunk number 23:  eval=FALSE
###################################################
## #line 299 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
## demo.knowns <- fit$knowns


###################################################
### chunk number 24:  eval=FALSE
###################################################
## #line 311 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
## samples <- setdiff(labels(demo.samples), labels(demo.knowns)) 
## plot(fit, samples)


###################################################
### chunk number 25:  eval=FALSE
###################################################
## #line 319 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
## plot(fit, 221)


###################################################
### chunk number 26:  eval=FALSE
###################################################
## #line 325 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
## plot(demo.samples, 221)


###################################################
### chunk number 27: 
###################################################
#line 335 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
fit <- add.known(fit, 221, prompt=FALSE)


###################################################
### chunk number 28: 
###################################################
#line 341 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
names(which(summary(fit)[,"221"]))


###################################################
### chunk number 29:  eval=FALSE
###################################################
## #line 350 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
## plot(fit, 586)


###################################################
### chunk number 30: 
###################################################
#line 356 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
plot(fit, 586)


###################################################
### chunk number 31:  eval=FALSE
###################################################
## #line 373 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
## plot(fit, 586, grouped=TRUE)


###################################################
### chunk number 32: 
###################################################
#line 379 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
plot(fit, 586, grouped=TRUE)


###################################################
### chunk number 33:  eval=FALSE
###################################################
## #line 402 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
## fit <- update(fit)


###################################################
### chunk number 34: 
###################################################
#line 417 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
m <- summary(fit, grouped=TRUE)
m <- m[, colSums(m) > 0]


###################################################
### chunk number 35: matrix eval=FALSE
###################################################
## #line 427 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
## cores <- fit$samples$info$soilcore.fk
## m.bycore <- aggregate(m, by=list(cores=cores), any)
## rownames(m.bycore) <- m.bycore$cores
## m.bycore <- m.bycore[-1]
## m.bycore


###################################################
### chunk number 36: 
###################################################
#line 439 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
#line 427 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw#from line#439#"
cores <- fit$samples$info$soilcore.fk
m.bycore <- aggregate(m, by=list(cores=cores), any)
rownames(m.bycore) <- m.bycore$cores
m.bycore <- m.bycore[-1]
m.bycore
#line 440 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"


###################################################
### chunk number 37: 
###################################################
#line 452 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
core.veg <- soilcore$vegetation[match(rownames(m.bycore),
                                      soilcore$soilcore.pk)]


###################################################
### chunk number 38: rankabundance eval=FALSE
###################################################
## #line 460 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
## sp.freq <- sort(colSums(m.bycore), decreasing=TRUE)
## plot(sp.freq, xlab="Species rank", ylab="Species frequency", type="o",
##      pch=19)


###################################################
### chunk number 39: 
###################################################
#line 468 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
tapply(rowSums(m.bycore), core.veg, mean)


###################################################
### chunk number 40: 
###################################################
#line 474 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
#line 460 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw#from line#474#"
sp.freq <- sort(colSums(m.bycore), decreasing=TRUE)
plot(sp.freq, xlab="Species rank", ylab="Species frequency", type="o",
     pch=19)
#line 475 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"


###################################################
### chunk number 41: pca eval=FALSE
###################################################
## #line 491 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
## pca <- prcomp(m.bycore)
## 
## col <- c("blue", "red")[as.integer(core.veg)]
## pch <- c(1, 3)[as.integer(core.veg)]
## 
## plot(pca$x[,1], pca$x[,2], col=col, pch=pch, xlab="PC1", ylab="PC2")
## legend("top", levels(core.veg), col=c("blue", "red"), pch=c(1, 3))


###################################################
### chunk number 42: 
###################################################
#line 503 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
#line 491 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw#from line#503#"
pca <- prcomp(m.bycore)

col <- c("blue", "red")[as.integer(core.veg)]
pch <- c(1, 3)[as.integer(core.veg)]

plot(pca$x[,1], pca$x[,2], col=col, pch=pch, xlab="PC1", ylab="PC2")
legend("top", levels(core.veg), col=c("blue", "red"), pch=c(1, 3))
#line 504 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"


###################################################
### chunk number 43:  eval=FALSE
###################################################
## #line 521 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
## write.TRAMPknowns(fit$knowns, "my_knowns")


###################################################
### chunk number 44:  eval=FALSE
###################################################
## #line 535 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
## my.knowns <- read.TRAMPknowns("my_knowns")


###################################################
### chunk number 45:  eval=FALSE
###################################################
## #line 542 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
## my.knowns <- fit$knowns
## save(my.knowns, file="my_knowns.Rdata")


###################################################
### chunk number 46:  eval=FALSE
###################################################
## #line 555 "d:/Rcompile/CRANpkg/local/2.12/TRAMPR/inst/doc/TRAMPRdemo.Rnw"
## load("my_knowns.Rdata")


